### Method

# Gtk Widgetget_settings

#### Declaration [src]

    GtkSettings*
    gtk_widget_get_settings (
      GtkWidget* widget
    )

#### Description [src]

Gets the settings object holding the settings used for this widget.

Note that this function can only be called when the `GtkWidget` is attached to a toplevel, since the settings object is specific to a particular `GdkDisplay`. If you want to monitor the widget for changes in its settings, connect to the `notify::display` signal.

#### Return value

Type: `GtkSettings`

The relevant `GtkSettings` object.

The data is owned by the instance.